describe Rubygrep::GrepManager do
text2 =  <<-'HERE'
Lorem Ipsum is simply dummy text of the printing and
typesetting industry. Lorem Ipsum has been the industry\'s
standard dummy text ever since the 1500s, when an unknown
printer took a galley of type and scrambled it to make a type
specimen book. It has survived not only five centuries, but also
the leap into electronic typesetting, remaining essentially unchanged.
It was popularised in the 1960s with the release of Letraset sheets
containing Lorem Ipsum passages, and more recently with desktop
publishing software like Aldus PageMaker including versions of Lorem Ipsum.
HERE
text1 =  <<-HERE
Contrary to popular belief, Lorem Ipsum is not simply random text
It has roots in a piece of classical Latin literature from 45 BC, making it over
2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College
in Virginia, looked up one of the more obscure Latin words, consectetur, from
a Lorem Ipsum passage, and going through the cites of the word in classical
literature, discovered the undoubtable source. Lorem Ipsum comes from
sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum"
(The Extremes of Good and Evil) by Cicero, written in 45 BC.
This book is a treatise on the theory of ethics, very popular
during the Renaissance. The first line of Lorem Ipsum,
"Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.
HERE
match_output = <<-HERE
\033[35mtext1\033[0m: \033[31m2000\033[0m years old. Richard McClintock, a Latin professor at Hampden-Sydney College
\033[35mtext2\033[0m: standard dummy text ever since the \033[31m1500\033[0ms, when an unknown
\033[35mtext2\033[0m: It was popularised in the \033[31m1960\033[0ms with the release of Letraset sheets
HERE


  let (:files) { %w(text1 text2)}

  let (:file_contents) {{
      'text1' => text1,
      'text2' => text2
  }}
  let (:options) { Rubygrep::RubyGrepOptions.new(%w(\d\d\d\d text1 text2)) }

  subject(:grep_manager) { Rubygrep::GrepManager.new(options) }

  it 'should print out matched strings from files' do
    allow(File).to receive(:file?).and_return(true)
    allow(File).to receive(:open) { |file_name| (StringIO.new(file_contents[file_name])) }
    expect { grep_manager.run }.to output(match_output).to_stdout
  end
end